curl --request POST \
--url https://api.siftstack.com/api/v1/channel-schemas:batch-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"channel": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetName": "<string>",
"component": "<string>",
"unit": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"organizationId": "<string>"
}
],
"assetName": "<string>",
"organizationId": "<string>"
}
'{}Create a batch of channel schemas
curl --request POST \
--url https://api.siftstack.com/api/v1/channel-schemas:batch-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"channel": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetName": "<string>",
"component": "<string>",
"unit": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"organizationId": "<string>"
}
],
"assetName": "<string>",
"organizationId": "<string>"
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request for a call to ChannelSchemaService_BatchCreateChannelSchemas.
The request for a call to ChannelSchemaService_BatchCreateChannelSchemas.
Show child attributes
The asset to which the channel schemas belong (case-insensitive). If this field, and any of the child requests specify an asset, the assets must match.
The organization to which the channel schemas belong. If this field, and any of the child requests specify an organization_id, the organization_ids must match. This field is optional if the caller belongs to a single organization.
A successful response.
The response of a call to ChannelSchemaService_BatchCreateChannelSchemas.
Was this page helpful?